/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.scriptcase.db.entity.AtuElementGroup;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：元素目录管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素目录管理")
public class AtuElementGroupDetailDto extends AtuElementGroup implements Serializable
{
    /**
     * 子节点列表<br>
     */
    @ApiModelProperty("子节点列表")
    private List<AtuElementGroupDetailDto> children;

    @ApiModelProperty("节点次序")
    private Integer idx;

    public Integer getIdx() {
        return idx;
    }

    public void setIdx(Integer idx) {
        this.idx = idx;
    }

    public List<AtuElementGroupDetailDto> getChildren() {
        return children;
    }

    public void setChildren(List<AtuElementGroupDetailDto> children) {
        this.children = children;
    }
}